Description: First steps at making Linphone usable with a screen-reader
 Orca currently only reads Accessible.name.
 .
 https://doc.qt.io/qt-5/qml-qtquick-accessible.html
Last-Update: 2022-10-08
--- a/linphone-app/ui/views/App/Settings/SettingsSipAccounts.qml
+++ b/linphone-app/ui/views/App/Settings/SettingsSipAccounts.qml
@@ -29,6 +29,8 @@
 					
 					TextField {
 						text: AccountSettingsModel.primaryDisplayName
+ 						Accessible.name: qsTr('defaultDisplayNameLabel')
+ 						Accessible.description: "The name that will be shown in the user interface and to others."
 						
 						onEditingFinished: AccountSettingsModel.primaryDisplayName = text
 					}
@@ -41,6 +43,7 @@
 					
 					TextField {
 						text: AccountSettingsModel.primaryUsername
+ 						Accessible.name: qsTr('defaultUsernameLabel')
 						
 						onEditingFinished: AccountSettingsModel.primaryUsername = text
 					}
@@ -53,6 +56,7 @@
 					
 					TextField {
 						readOnly: true
+ 						Accessible.name: qsTr('defaultSipAddressLabel')
 						text: AccountSettingsModel.primarySipAddress
 					}
 				}
@@ -64,6 +68,7 @@
 					
 					TextField {
 						text: SettingsModel.deviceName
+ 						Accessible.name: qsTr('defaultDeviceNameLabel')
 						onEditingFinished: SettingsModel.deviceName = text
 					}
 				}
